# Cookbook:: webserver
# Recipe:: centos
# Platform:: centos
# Copyright:: 2018, The Authors, All Rights Reserved.

#----------------Updating yum repository---------------------
execute "run-yum-update-" do
  command "yum update -y"
end

#---------------Adding Nginx yum-repository-------------------
yum_repository 'nginx' do
  description 'nginx yum repository'
  url 'http://nginx.org/packages/mainline/rhel/7/$basearch/'
  enabled true
  gpgcheck false
  action :create
end

#--------------updating yum repo------------------------------
execute "run-yum-update-" do
  command "yum update -y"
end

#-------------Installing Nginx--------------------------------
package 'nginx' do
  action :install
end

#------------Changing Default Nginx Index--------------------
cookbook_file "/usr/share/nginx/html/index.html" do
  source "index.html"
  mode "0644"
end

#-------------Enabling and Restarting Nginx Service----------
service 'nginx' do
  action [ :enable, :restart ]
end

